Debian Bug report logs - #698299
kUP in xterm terminfo breaks shift-up in Emacs

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Margarita Manterola <marga@google.com>

Date: Wed, 16 Jan 2013 15:09:02 UTC

Severity: normal

Found in version ncurses/5.9-4

Fixed in version ncurses/5.9+20130119-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@google.com>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@google.com>
To: submit@bugs.debian.org
Subject: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 16:06:51 +0100
Package: ncurses-base
Version: 5.9-4

Hi,

When building terminfo files in debian/rules, they are built with the -x option:

	for ti in xterm hurd rxvt rxvt-unicode; do \
		TERMINFO=$(fulltempdir)/usr/share/terminfo \
		tic -x debian/$$ti.ti; \
	done

This option causes unknown capabilities to be treated as user-defined,
this means that they get included even if tic doesn't know about them.
 In the case of xterm (and some xterm derivatives, like
xterm-256color), this means that memu and meml are included.
Decompiling the file and then recompiling it without -x causes these
two options to go away.

One direct consequence of this "-x" is that when opening emacs in the
console (i.e. running emacs -nw in a gnome-terminal or xterm, with
TERM=xterm or xterm-256color) shift-up doesn't work. In this case,
emacs shows: <select> is undefined.

There have been a number of people encountering this issue, although
surprisingly, I found no other bug reports:
  http://stackoverflow.com/questions/10871745/shift-up-arrow-doesnt-highlight-text-emacs-iterm2
  http://lists.gnu.org/archive/html/help-gnu-emacs/2011-05/msg00211.html
  http://forums.vandyke.com/showpost.php?p=26580&postcount=25

The workaround for the problem is to decompile the default file,
recompile it with tic and no options, and replace the old one with the
new one.  Another workaround is to use xterm-vt220, which is not
affected, but I'm not sure why.

I'm not sure of the best way of fixing this.  Either the obsolete keys
shouldn't be included in the terminfo file, or the tic call should be
done without -x.  I'm leaning towards the second, but I don't have
enough knowledge of the package to be certain about it.

-- 
Regards,
Marga



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 698299@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Margarita Manterola <marga@google.com>
Cc: 698299@bugs.debian.org, Thomas Dickey <dickey@his.com>
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 19:04:11 +0100
Control: retitle -1 kUP in xterm terminfo breaks shift-up in Emacs

On 2013-01-16 16:06 +0100, Margarita Manterola wrote:

> Package: ncurses-base
> Version: 5.9-4
>
> Hi,
>
> When building terminfo files in debian/rules, they are built with the -x option:

This is necessary for hurd, and the bulk from misc/terminfo.src is also
built that way.

> This option causes unknown capabilities to be treated as user-defined,
> this means that they get included even if tic doesn't know about them.
>  In the case of xterm (and some xterm derivatives, like
> xterm-256color), this means that memu and meml are included.
> Decompiling the file and then recompiling it without -x causes these
> two options to go away.

And not only those; to see the whole story, it is necessary to run
infocmp with the -x option:

,----
| $ mkdir -p /tmp/terminfo                       
| $ infocmp xterm > /tmp/foo                       
| $ TERMINFO=/tmp/terminfo tic foo   
| $ infocmp -x -A /lib/terminfo -B /tmp/terminfo xterm xterm
| comparing xterm to xterm.
|     comparing booleans.
| 	OTbs: T:F.
| 	AX: T:F.
|     comparing numbers.
|     comparing strings.
| 	meml: '\El', NULL.
| 	memu: '\Em', NULL.
| 	Cr: '\E]112\007', NULL.
| 	Cs: '\E]12;%p1%s\007', NULL.
| 	Ms: '\E]52;%p1%s;%p2%s\007', NULL.
| 	Se: '\E[2 q', NULL.
| 	Ss: '\E[%p1%d q', NULL.
| 	kDC3: '\E[3;3~', NULL.
| 	kDC4: '\E[3;4~', NULL.
| 	kDC5: '\E[3;5~', NULL.
| 	kDC6: '\E[3;6~', NULL.
| 	kDC7: '\E[3;7~', NULL.
| 	kDN: '\E[1;2B', NULL.
| 	kDN3: '\E[1;3B', NULL.
| 	kDN4: '\E[1;4B', NULL.
| 	kDN5: '\E[1;5B', NULL.
| 	kDN6: '\E[1;6B', NULL.
| 	kDN7: '\E[1;7B', NULL.
| 	kEND3: '\E[1;3F', NULL.
| 	kEND4: '\E[1;4F', NULL.
| 	kEND5: '\E[1;5F', NULL.
| 	kEND6: '\E[1;6F', NULL.
| 	kEND7: '\E[1;7F', NULL.
| 	kHOM3: '\E[1;3H', NULL.
| 	kHOM4: '\E[1;4H', NULL.
| 	kHOM5: '\E[1;5H', NULL.
| 	kHOM6: '\E[1;6H', NULL.
| 	kHOM7: '\E[1;7H', NULL.
| 	kIC3: '\E[2;3~', NULL.
| 	kIC4: '\E[2;4~', NULL.
| 	kIC5: '\E[2;5~', NULL.
| 	kIC6: '\E[2;6~', NULL.
| 	kIC7: '\E[2;7~', NULL.
| 	kLFT3: '\E[1;3D', NULL.
| 	kLFT4: '\E[1;4D', NULL.
| 	kLFT5: '\E[1;5D', NULL.
| 	kLFT6: '\E[1;6D', NULL.
| 	kLFT7: '\E[1;7D', NULL.
| 	kNXT3: '\E[6;3~', NULL.
| 	kNXT4: '\E[6;4~', NULL.
| 	kNXT5: '\E[6;5~', NULL.
| 	kNXT6: '\E[6;6~', NULL.
| 	kNXT7: '\E[6;7~', NULL.
| 	kPRV3: '\E[5;3~', NULL.
| 	kPRV4: '\E[5;4~', NULL.
| 	kPRV5: '\E[5;5~', NULL.
| 	kPRV6: '\E[5;6~', NULL.
| 	kPRV7: '\E[5;7~', NULL.
| 	kRIT3: '\E[1;3C', NULL.
| 	kRIT4: '\E[1;4C', NULL.
| 	kRIT5: '\E[1;5C', NULL.
| 	kRIT6: '\E[1;6C', NULL.
| 	kRIT7: '\E[1;7C', NULL.
| 	kUP: '\E[1;2A', NULL.
| 	kUP3: '\E[1;3A', NULL.
| 	kUP4: '\E[1;4A', NULL.
| 	kUP5: '\E[1;5A', NULL.
| 	kUP6: '\E[1;6A', NULL.
| 	kUP7: '\E[1;7A', NULL.
`----

The relevant capability here is kUP; removing it fixes the Emacs problem
for me.  

> I'm not sure of the best way of fixing this.  Either the obsolete keys
> shouldn't be included in the terminfo file, or the tic call should be
> done without -x.  I'm leaning towards the second, but I don't have
> enough knowledge of the package to be certain about it.

I'd like to get a comment from Thomas (CC'ed) before doing anything.
Thanks for the report.

Cheers,
       Sven



Changed Bug title to 'kUP in xterm terminfo breaks shift-up in Emacs' from 'xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs' Request was from Sven Joachim <svenjoac@gmx.de> to 698299-submit@bugs.debian.org. (Wed, 16 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 18:09:05 GMT) Full text and rfc822 format available.

Message #17 received at 698299@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 698299@bugs.debian.org
Cc: 698299-submitter@bugs.debian.org
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 13:06:25 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 16, 2013 at 04:06:51PM +0100, Margarita Manterola wrote:
> Package: ncurses-base
> Version: 5.9-4
> 
> Hi,
> 
> When building terminfo files in debian/rules, they are built with the -x option:
> 
> 	for ti in xterm hurd rxvt rxvt-unicode; do \
> 		TERMINFO=$(fulltempdir)/usr/share/terminfo \
> 		tic -x debian/$$ti.ti; \
> 	done

That's been the case for quite a while (a quick check of the changelog
shows it's since 2004).  It's likely that this is not directly the cause
of whatever problem you are reporting.
 
> This option causes unknown capabilities to be treated as user-defined,
> this means that they get included even if tic doesn't know about them.
>  In the case of xterm (and some xterm derivatives, like
> xterm-256color), this means that memu and meml are included.
> Decompiling the file and then recompiling it without -x causes these
> two options to go away.
> 
> One direct consequence of this "-x" is that when opening emacs in the
> console (i.e. running emacs -nw in a gnome-terminal or xterm, with
> TERM=xterm or xterm-256color) shift-up doesn't work. In this case,
> emacs shows: <select> is undefined.
> 
> There have been a number of people encountering this issue, although
> surprisingly, I found no other bug reports:
>   http://stackoverflow.com/questions/10871745/shift-up-arrow-doesnt-highlight-text-emacs-iterm2
>   http://lists.gnu.org/archive/html/help-gnu-emacs/2011-05/msg00211.html
>   http://forums.vandyke.com/showpost.php?p=26580&postcount=25

More likely - as I noted in my reply to the last thread,
you may be using gnome-terminal, whose mismatches versus xterm
aggravate lots of interesting problems in this general area.

If that's the case, this should be added to the heap of unresolved
issues in gnome-terminal.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Wed, 16 Jan 2013 18:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 18:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 698299@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 698299@bugs.debian.org, Margarita Manterola <marga@google.com>
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 19:17:51 +0100
On 2013-01-16 19:06 +0100, Thomas Dickey wrote:

> More likely - as I noted in my reply to the last thread,
> you may be using gnome-terminal, whose mismatches versus xterm
> aggravate lots of interesting problems in this general area.
>
> If that's the case, this should be added to the heap of unresolved
> issues in gnome-terminal.

This problem is easily reproducible in Debian's xterm, as had been
noted¹ by one of the Emacs maintainers.

Cheers,
       Sven


¹ http://lists.gnu.org/archive/html/help-gnu-emacs/2011-05/msg00219.html



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 18:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 698299@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 698299@bugs.debian.org
Cc: 698299-submitter@bugs.debian.org
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 13:34:26 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 16, 2013 at 07:04:11PM +0100, Sven Joachim wrote:
> The relevant capability here is kUP; removing it fixes the Emacs problem
> for me.  

"select" could have been an issue with the home/end (pc-style)
versus select/remove (vt220-style).  xterm's used pc-style (again,
for quite a while).  changing the default isn't recommended.  We
use "home" and "end" because that's what most users expect.

select/remove home/end use different strings than kUP - 

#	Reconstructed via infocmp from file: /usr/local/ncurses/share/terminfo/x/xterm+pc+edit
xterm+pc+edit|fragment for pc-style editing keypad,
	kend=\E[4~, khome=\E[1~,

#	Reconstructed via infocmp from file: /usr/local/ncurses/share/terminfo/x/xterm+vt+edit
xterm+vt+edit|fragment for vt220-style editing keypad,
	kfnd=\E[1~, kslt=\E[4~,

("kslt" is "select", barring renaming by Emacs)

kUP isn't an obsolete key, but rather is one of the set of extended keys:
	kUP=\E[1;2A,

That could - hmm - be an issue with Emacs only if Emacs is using
ncurses' wgetch which would attempt to use or not use the definitions.

The last I knew, Emacs was a termcap application (like vim), and
couldn't see the extended keys(*).  That is, Emacs sees this as
a termcap application; the presence of extended capabilities doesn't
affect anything in this case:

xterm-new|modern xterm terminal emulator:\
	:am:bs:km:mi:ms:xn:\
	:co#80:it#8:li#24:\
	:AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:IC=\E[%d@:\
	:K2=\EOE:LE=\E[%dD:RI=\E[%dC:SF=\E[%dS:SR=\E[%dT:\
	:UP=\E[%dA:ae=\E(B:al=\E[L:as=\E(0:bl=^G:bt=\E[Z:cd=\E[J:\
	:ce=\E[K:cl=\E[H\E[2J:cm=\E[%i%d;%dH:cr=^M:\
	:cs=\E[%i%d;%dr:ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:ec=\E[%dX:\
	:ei=\E[4l:ho=\E[H:im=\E[4h:is=\E[!p\E[?3;4l\E[4l\E>:\
	:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:k5=\E[15~:k6=\E[17~:\
	:k7=\E[18~:k8=\E[19~:k9=\E[20~:kD=\E[3~:kI=\E[2~:kN=\E[6~:\
	:kP=\E[5~:kb=\177:kd=\EOB:ke=\E[?1l\E>:kh=\EOH:kl=\EOD:\
	:kr=\EOC:ks=\E[?1h\E=:ku=\EOA:le=^H:mb=\E[5m:md=\E[1m:\
	:me=\E[0m:mm=\E[?1034h:mo=\E[?1034l:mr=\E[7m:nd=\E[C:\
	:rc=\E8:sc=\E7:se=\E[27m:sf=^J:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
	:te=\E[?1049l:ti=\E[?1049h:ue=\E[24m:up=\E[A:us=\E[4m:\
	:vb=\E[?5h\E[?5l:ve=\E[?12l\E[?25h:vi=\E[?25l:\
	:vs=\E[?12;25h:

So I don't see a case where either confusion about the byte-stream or
confusion about the keycode from wgetch would lead to the reported
symptom - none of the data overlaps in the "right" way, and I don't
see any sign of data loss in the descriptions.

(memu/meml are seldom used, are unrelated to the keys, but that is a
different matter).
 
> > I'm not sure of the best way of fixing this.  Either the obsolete keys
> > shouldn't be included in the terminfo file, or the tic call should be
> > done without -x.  I'm leaning towards the second, but I don't have
> > enough knowledge of the package to be certain about it.
> 
> I'd like to get a comment from Thomas (CC'ed) before doing anything.
> Thanks for the report.

There's always the possibility of finding a malfunction someplace,
but turning off the extended capabilities isn't the way to fix that.

(*) while the extended capabilities are potentially visible to either
    termcap/terminfo applications, only those with exactly 2-character
    names are visible to termcap.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@google.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 18:39:05 GMT) Full text and rfc822 format available.

Message #35 received at 698299@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@google.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: dickey@his.com, 698299@bugs.debian.org
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 19:35:09 +0100
Hi,

On Wed, Jan 16, 2013 at 7:17 PM, Sven Joachim <svenjoac@gmx.de> wrote:
> On 2013-01-16 19:06 +0100, Thomas Dickey wrote:
>> More likely - as I noted in my reply to the last thread,
>> you may be using gnome-terminal, whose mismatches versus xterm
>> aggravate lots of interesting problems in this general area.
> This problem is easily reproducible in Debian's xterm, as had been
> noted¹ by one of the Emacs maintainers.

Indeed this can be reproduced with xterm, gnome-terminal, and even
chrome's ssh extension.

-- 
Regards,
Marga



Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Wed, 16 Jan 2013 18:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Message #43 received at 698299@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Dickey <dickey@his.com>
Cc: 698299@bugs.debian.org, 698299-submitter@bugs.debian.org
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 13:56:05 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 16, 2013 at 01:34:26PM -0500, Thomas Dickey wrote:
> On Wed, Jan 16, 2013 at 07:04:11PM +0100, Sven Joachim wrote:
> > The relevant capability here is kUP; removing it fixes the Emacs problem
> > for me.  
> 
> "select" could have been an issue with the home/end (pc-style)
> versus select/remove (vt220-style).  xterm's used pc-style (again,
> for quite a while).  changing the default isn't recommended.  We
> use "home" and "end" because that's what most users expect.

To remind you of the issue: curses applications will only see the
first key in a list which matches a given string.  While terminfo
and termcap can store the same string using different names, curses
only uses one.  So... xterm-vt220 has "select" while xterm has "home".

It's understandable why Emacs would say that "select" is undefined.
But how that is related to kUP, I don't know - the answer would be
in Emacs.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Wed, 16 Jan 2013 19:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 19:06:03 GMT) Full text and rfc822 format available.

Message #51 received at 698299@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 698299@bugs.debian.org, Margarita Manterola <marga@google.com>
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 20:05:11 +0100
On 2013-01-16 19:34 +0100, Thomas Dickey wrote:

> kUP isn't an obsolete key, but rather is one of the set of extended keys:
> 	kUP=\E[1;2A,

Right, that's what Emacs sees here as well.

> That could - hmm - be an issue with Emacs only if Emacs is using
> ncurses' wgetch which would attempt to use or not use the definitions.

Emacs does not use wgetch at all, but removing kUP stops it from
complaining about the ominous <select> key.

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 19:09:03 GMT) Full text and rfc822 format available.

Message #56 received at 698299@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 698299@bugs.debian.org, 698299-submitter@bugs.debian.org
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 14:06:47 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jan 16, 2013 at 01:56:05PM -0500, Thomas Dickey wrote:
> On Wed, Jan 16, 2013 at 01:34:26PM -0500, Thomas Dickey wrote:
> > On Wed, Jan 16, 2013 at 07:04:11PM +0100, Sven Joachim wrote:
> > > The relevant capability here is kUP; removing it fixes the Emacs problem
> > > for me.  
> > 
> > "select" could have been an issue with the home/end (pc-style)
> > versus select/remove (vt220-style).  xterm's used pc-style (again,
> > for quite a while).  changing the default isn't recommended.  We
> > use "home" and "end" because that's what most users expect.
> 
> To remind you of the issue: curses applications will only see the
> first key in a list which matches a given string.  While terminfo
> and termcap can store the same string using different names, curses
> only uses one.  So... xterm-vt220 has "select" while xterm has "home".
> 
> It's understandable why Emacs would say that "select" is undefined.
> But how that is related to kUP, I don't know - the answer would be
> in Emacs.

...for instance vim had a relevant bug report a year or two ago.
It was not checking for the complete string, and was confused by
the semicolon delimiting the parameters in a string.

xterm+pc+edit|fragment for pc-style editing keypad,
	kend=\E[4~, khome=\E[1~,
xterm+vt+edit|fragment for vt220-style editing keypad,
	kfnd=\E[1~, kslt=\E[4~,

Recalling that some people may have relabeled the "kfnd" as "select",

	kUP=\E[1;2A,
	--------^

An application which looked at an incomplete string could confuse kUP
with kfnd.  Conceivably Emacs could be retrieving the kUP value into
a table (via tigetstr for instance), but failing to check for the
complete string match.  In that case, it would be a bug in Emacs.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Wed, 16 Jan 2013 19:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Wed, 16 Jan 2013 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 16 Jan 2013 19:27:05 GMT) Full text and rfc822 format available.

Message #64 received at 698299@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 698299@bugs.debian.org, Margarita Manterola <marga@google.com>
Subject: Re: Bug#698299: xterm terminfo includes obsolete meml/memu which causes shift-up to not work in emacs
Date: Wed, 16 Jan 2013 20:25:55 +0100
On 2013-01-16 19:56 +0100, Thomas Dickey wrote:

> It's understandable why Emacs would say that "select" is undefined.
> But how that is related to kUP, I don't know - the answer would be
> in Emacs.

The latest(?) discussion on the Emacs-devel mailinglist started here:
http://lists.gnu.org/archive/html/emacs-devel/2012-10/msg00267.html.

Unfortunately without consequences since the Emacs trunk still exhibits
the problem, but I think this bug needs to be solved in Emacs rather
than in ncurses.

Cheers,
       Sven



Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 20 Jan 2013 10:27:07 GMT) Full text and rfc822 format available.

Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Sun, 20 Jan 2013 10:27:12 GMT) Full text and rfc822 format available.

Message #69 received at 698299-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 698299-submitter@bugs.debian.org
Subject: Bug#698299 marked as pending
Date: Sun, 20 Jan 2013 10:22:35 +0000
tag 698299 pending
thanks

Hello,

Bug #698299 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=aa60f06

---
commit aa60f061eed0069ce59aea86e85cd0a8419d2510
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jan 20 11:19:41 2013 +0100

    Close bug #698299
    
    Shift-up works in "emacs -nw" with the 20130119 patchlevel.

diff --git a/debian/changelog b/debian/changelog
index dc577ec..61772d1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,9 @@ ncurses (5.9+20130119-1) UNRELEASED; urgency=low
   * New upstream patchlevel.
     - Modify init_pair() to accept -1's for color value after
       assume_default_colors() has been called (Closes: #337095).
+    - Modify name-comparison for tgetstr, etc., to accommodate legacy
+      applications as well as to improve compatbility with BSD 4.2
+      termcap implementations (Closes: #698299).
     - Update symbols files for new symbols.
     - Remove internal symbol _nc_memmove from libncurses{w,5} symbols files.
   * Drop patches applied upstream: 00-terminfo-update.diff,



Information stored :
Bug#698299; Package ncurses-base. (Sun, 20 Jan 2013 12:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and filed, but not forwarded. (Sun, 20 Jan 2013 12:03:11 GMT) Full text and rfc822 format available.

Message #74 received at 698299-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 698299-quiet@bugs.debian.org
Cc: 698299-submitter@bugs.debian.org
Subject: Re: Bug#698299: marked as pending
Date: Sun, 20 Jan 2013 07:01:16 -0500
[Message part 1 (text/plain, inline)]
On Sun, Jan 20, 2013 at 10:22:35AM +0000, Sven Joachim wrote:
> tag 698299 pending
> thanks
> 
> Hello,
> 
> Bug #698299 reported by you has been fixed in the Git repository. You can
> see the changelog below, and you can check the diff of the fix at:
> 
>     http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=aa60f06
> 
> ---
> commit aa60f061eed0069ce59aea86e85cd0a8419d2510
> Author: Sven Joachim <svenjoac@gmx.de>
> Date:   Sun Jan 20 11:19:41 2013 +0100
> 
>     Close bug #698299
>     
>     Shift-up works in "emacs -nw" with the 20130119 patchlevel.

sounds good (I forget where you are along the experimental/testing/stable
progress - this particular change is relatively isolated from others that
I've made recently).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Margarita Manterola <marga@google.com>:
Bug#698299. (Sun, 20 Jan 2013 12:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Sun, 20 Jan 2013 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 20 Jan 2013 14:09:03 GMT) Full text and rfc822 format available.

Message #82 received at 698299@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 698299@bugs.debian.org, Margarita Manterola <marga@google.com>
Subject: Re: Bug#698299: marked as pending
Date: Sun, 20 Jan 2013 15:06:26 +0100
On 2013-01-20 13:01 +0100, Thomas Dickey wrote:

> On Sun, Jan 20, 2013 at 10:22:35AM +0000, Sven Joachim wrote:
>> tag 698299 pending
>> thanks
>> 
>> Hello,
>> 
>> Bug #698299 reported by you has been fixed in the Git repository. You can
>> see the changelog below, and you can check the diff of the fix at:
>> 
>>     http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=aa60f06
>> 
>> ---
>> commit aa60f061eed0069ce59aea86e85cd0a8419d2510
>> Author: Sven Joachim <svenjoac@gmx.de>
>> Date:   Sun Jan 20 11:19:41 2013 +0100
>> 
>>     Close bug #698299
>>     
>>     Shift-up works in "emacs -nw" with the 20130119 patchlevel.
>
> sounds good

Except for the typo ("compatbility") which I copy-pasted from the NEWS
file into debian/changelog. ;-)

> (I forget where you are along the experimental/testing/stable progress

The master branch currently tracks your latest patchlevels and is
targeted at experimental (will switch to unstable after the Wheezy
release).

> - this particular change is relatively isolated from others that
> I've made recently).

Yes, the patch to lib_termcap.c even applies to 5.9 after resolving a
trivial conflict.  However, I'm afraid it does not meet the freeze
exception criteria mentioned in [1], so for Wheezy it is too late.

Cheers,
       Sven


1. http://lists.debian.org/debian-devel-announce/2012/11/msg00003.html



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#698299; Package ncurses-base. (Mon, 21 Jan 2013 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@google.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 21 Jan 2013 10:45:03 GMT) Full text and rfc822 format available.

Message #87 received at 698299@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@google.com>
To: 698299@bugs.debian.org
Subject: Re: Bug#698299: marked as pending
Date: Mon, 21 Jan 2013 11:40:44 +0100
Hi,

On Sun, Jan 20, 2013 at 11:22 AM, Sven Joachim <svenjoac@gmx.de> wrote:
> tag 698299 pending
> thanks

Thanks a lot for all the work and the speed in solving this
long-standing-yet-unreported bug!
You rock!

-- 
Cheers,
Marga



Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Wed, 23 Jan 2013 18:36:18 GMT) Full text and rfc822 format available.

Notification sent to Margarita Manterola <marga@google.com>:
Bug acknowledged by developer. (Wed, 23 Jan 2013 18:36:19 GMT) Full text and rfc822 format available.

Message #92 received at 698299-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 698299-close@bugs.debian.org
Subject: Bug#698299: fixed in ncurses 5.9+20130119-1
Date: Wed, 23 Jan 2013 18:33:17 +0000
Source: ncurses
Source-Version: 5.9+20130119-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 23 Jan 2013 18:50:58 +0100
Source: ncurses
Binary: libtinfo5 libncurses5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source i386 all
Version: 5.9+20130119-1
Distribution: experimental
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 337095 678441 681798 697533 698299 698469
Changes: 
 ncurses (5.9+20130119-1) experimental; urgency=low
 .
   * New upstream patchlevel.
     - Modify init_pair() to accept -1's for color value after
       assume_default_colors() has been called (Closes: #337095).
     - Modify name-comparison for tgetstr, etc., to accommodate legacy
       applications as well as to improve compatibility with BSD 4.2
       termcap implementations (Closes: #698299).
     - Add advice in infocmp manpage for termcap users (Closes: #698469).
     - Update symbols files for new symbols, bump shlibs.
     - Remove internal symbol _nc_memmove from libncurses{w,5} symbols files.
   * Drop patches applied upstream: 00-terminfo-update.diff,
     04-fix-tabset-directory.diff and 05-fix-poll-test.diff.
   * Adapt patch 03-debian-ncursesconfig-omit-L.diff to upstream changes.
   * Improve cross-building support:
     - Don't fail if the system version of tic has a different (upstream)
       version than the one that is being built (Closes: #681798).
     - Assume working poll() (see #676461).
   * Drop /usr/share/terminfo from ncurses-bin (Closes: #678441).
   * Fix typo in package descriptions (architecure → architecture)
     (Closes: #697533).
   * Drop Conflicts on old libc6-i386 versions in the lib32* packages.
   * Don't unnecessarily depend on g++-multilib on kfreebsd-amd64.
   * Update years in debian/copyright.
Checksums-Sha1: 
 a6d1c3fda98c875d9f46d078b893fa4da1a3d8ee 3139 ncurses_5.9+20130119-1.dsc
 de5a69bf879c1b5101869e68db8a119fcfd5c8b8 2909032 ncurses_5.9+20130119.orig.tar.gz
 9963fcf753015494053cd221a973af304a6e16f0 61403 ncurses_5.9+20130119-1.debian.tar.gz
 3642decc3b20408ef3c140637d67b3c984441d47 286888 libtinfo5_5.9+20130119-1_i386.deb
 0a277a2490072eec725dffc0b61a9391f86364d2 117302 libncurses5_5.9+20130119-1_i386.deb
 58cfecd2859e9712f0a960de782e5fd6e3b53a06 96268 libtinfo-dev_5.9+20130119-1_i386.deb
 f0ea2d5c7976d1d9385badbe03b1a1b4b35c377e 733616 libtinfo5-dbg_5.9+20130119-1_i386.deb
 1b084a412e6e222b7c660d8ff06603116c3e11b0 213696 libncurses5-dev_5.9+20130119-1_i386.deb
 aab7f2d4d843b577d2b71f3d0a268ea5ff84595a 3060754 libncurses5-dbg_5.9+20130119-1_i386.deb
 ce702e158e76f474a440f81884929c73feaba7ec 150666 libncursesw5_5.9+20130119-1_i386.deb
 44466c4dcc393ecefb2a9ec8c47978d13d630a98 251434 libncursesw5-dev_5.9+20130119-1_i386.deb
 6fdacb92363e8071667e80794dfe4bfe63995496 2171648 libncursesw5-dbg_5.9+20130119-1_i386.deb
 5ecfe682de793a0ea29c2d97c2c57c37d25d68f3 114194 lib64ncurses5_5.9+20130119-1_i386.deb
 5dcb723b659b66fb8558329182a87f873463282d 265216 lib64ncurses5-dev_5.9+20130119-1_i386.deb
 64f6764820a3632a68c30219fad6dd3cf4e23ee9 293166 lib64tinfo5_5.9+20130119-1_i386.deb
 fffcb0687a3dc10be1cddd6eb3beac4243d0e2b1 354168 ncurses-bin_5.9+20130119-1_i386.deb
 6371529e86d7bae8c67d4de535149a4d2bebfc92 444470 ncurses-examples_5.9+20130119-1_i386.deb
 10e38b2f7c05f9d02dcc91400164dc92964ae0ba 213618 ncurses-base_5.9+20130119-1_all.deb
 d67e5b15c9be8b44cc59d81fe3581113b8af26c8 619628 ncurses-term_5.9+20130119-1_all.deb
 5c5c3667b2e881c38d9ddffe65a8a78ce8d35177 1035824 ncurses-doc_5.9+20130119-1_all.deb
Checksums-Sha256: 
 151e8291273cbde53f8d2c06909f6c57c6297f1adbc023d2280a4210d89dfc72 3139 ncurses_5.9+20130119-1.dsc
 255a3b4d23dde55ca4b5d58e83b5d86ba8d6976bdc16995404672f6ddfa3fc00 2909032 ncurses_5.9+20130119.orig.tar.gz
 08af446bfff9337adb9a7d3651d7cdd889d0da490264619a90873f8fc5381534 61403 ncurses_5.9+20130119-1.debian.tar.gz
 6653f17a1c7c3138f3c290335d6b4c1e5c8a65cf84380a7672d5345646b72280 286888 libtinfo5_5.9+20130119-1_i386.deb
 af4d5c96931480cd3f1c10d087ea5841f1d6aea117630ba04dd77e347706d587 117302 libncurses5_5.9+20130119-1_i386.deb
 fe90a0791859f58d7cef2debfcf22a2c55df4b51e3131e369fa7f244c0003179 96268 libtinfo-dev_5.9+20130119-1_i386.deb
 ca735b87bfe8fac2095d5b91122a0b110080b08d0178f8ece1764f2aa9d85ddb 733616 libtinfo5-dbg_5.9+20130119-1_i386.deb
 4cb7146666d0ed554d670352faf87a3b0c95f80d5ac8a760bf2319db8ed077e9 213696 libncurses5-dev_5.9+20130119-1_i386.deb
 2317f7f9c99959309dec051b784ac83f2e1ab161b29ad5bb8858726670816a06 3060754 libncurses5-dbg_5.9+20130119-1_i386.deb
 d87edc54af8583c13a03a0d00a4014bb9f13c9f1503c293f45dc064f3980bb21 150666 libncursesw5_5.9+20130119-1_i386.deb
 b94d5c8f04acba2633f940367b8f3b710bcd355434adf84709e7737f9f50c36c 251434 libncursesw5-dev_5.9+20130119-1_i386.deb
 92d7e26985ac1eca1ee0a1dd1426071761c3ef8cd8017a1df383c6da99fdc85a 2171648 libncursesw5-dbg_5.9+20130119-1_i386.deb
 c6eee6ece2386143b0780e40fafd391a80477f89919aa0b763436fd74334b738 114194 lib64ncurses5_5.9+20130119-1_i386.deb
 35aca741b3fa3ebaaf0dad2064c78610333325aee3db4d7d5cf551e55b97a190 265216 lib64ncurses5-dev_5.9+20130119-1_i386.deb
 b62af05a62c21449f331a1920be4eb4312afebcf0f9e3a75044c3fde2730a8c6 293166 lib64tinfo5_5.9+20130119-1_i386.deb
 a463772b46a4dcf4e0129748330ea44265ed7cf9b0b84e27a7fada0a576c7ba0 354168 ncurses-bin_5.9+20130119-1_i386.deb
 9d5e4366a33266b7ff53eb2e9df0569c1b9f3f0f6265e735f2d6c339777322dc 444470 ncurses-examples_5.9+20130119-1_i386.deb
 56cba575bfc6af065986c7107ab0410d805fc1675669a9511ecb5bf198d8798e 213618 ncurses-base_5.9+20130119-1_all.deb
 a83f5947d8d8a17d755cba727028ab9651220ba8614aa896b6d5c9842572bf1a 619628 ncurses-term_5.9+20130119-1_all.deb
 792bfc6e85108d5c3ec6dfdbad80a9533e3c7ebb7b5a29d4b0b419eecd4c8988 1035824 ncurses-doc_5.9+20130119-1_all.deb
Files: 
 1cd24c1c54e872adf96e9333b7e32d5a 3139 libs required ncurses_5.9+20130119-1.dsc
 4745392be3a5335c3efa71efff63233d 2909032 libs required ncurses_5.9+20130119.orig.tar.gz
 7441c39aa676d582a66c58ca84e26eb2 61403 libs required ncurses_5.9+20130119-1.debian.tar.gz
 99fd7f8149a74df5a6a3b821135f7dd3 286888 libs required libtinfo5_5.9+20130119-1_i386.deb
 95af5f923055392f322a5e3f1c0e30dc 117302 libs required libncurses5_5.9+20130119-1_i386.deb
 b4ffe24ea9a0a586f998ab7f37b105c8 96268 libdevel optional libtinfo-dev_5.9+20130119-1_i386.deb
 9ada290211af8a1bb13ed07729f8f824 733616 debug extra libtinfo5-dbg_5.9+20130119-1_i386.deb
 29e597f0ee4885ee2b26cfcd23f88ba0 213696 libdevel optional libncurses5-dev_5.9+20130119-1_i386.deb
 e9538ad7a93cfcaaf0a5596825e54d13 3060754 debug extra libncurses5-dbg_5.9+20130119-1_i386.deb
 9ff9a30d60ffae3d76b7f9983c6a1a61 150666 libs important libncursesw5_5.9+20130119-1_i386.deb
 c83d064f9ffb867606ca6247bfb19e48 251434 libdevel optional libncursesw5-dev_5.9+20130119-1_i386.deb
 e7c07ecddc4df9d55e1ce0b67871c091 2171648 debug extra libncursesw5-dbg_5.9+20130119-1_i386.deb
 1bce29f2b610d7bcd8e214199d1da15a 114194 libs optional lib64ncurses5_5.9+20130119-1_i386.deb
 9806e709f400f3d8efdd11bd201a52e2 265216 libdevel optional lib64ncurses5-dev_5.9+20130119-1_i386.deb
 2f363d9cb638b6d73f3e34dcc3ebcac8 293166 libs optional lib64tinfo5_5.9+20130119-1_i386.deb
 ea8e19bab94a27ce0262afe99683c4a4 354168 utils required ncurses-bin_5.9+20130119-1_i386.deb
 e7eb5c2a0c99c0bf0cab3d3b32d6d8e4 444470 misc optional ncurses-examples_5.9+20130119-1_i386.deb
 3b3769b83691cd25a0fa3f3931519e89 213618 misc required ncurses-base_5.9+20130119-1_all.deb
 f688258ac5ba782f758b0f5e2f99b8c9 619628 misc standard ncurses-term_5.9+20130119-1_all.deb
 383265e853d57c57ffa12b99793df7c9 1035824 doc optional ncurses-doc_5.9+20130119-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRACafAAoJEDsQbnGNazGsRzQQAJJUW++quZJh3lPSmT2yzAb2
ARhTVBAlxQJelvSSA9tMaxb0EBxuHT5kTH4ovEPhNw7uxwDC8mHLyElJBSrygtyx
B3fzh8kBlvC/OH0taqd2e1Te9OTCiAo01UOIMj77nrCIvj1Xs/gbmplvwMJT8JVe
L4uXql+tbI6vHY8oWX5zNvgKP0jKqJMMrgeMBCIfSJZnd9gHQ8UJ/2hLemTS8jvn
UPLFfcLk93YD7QAQhr3grIJbSo0nIE11w0sPrlYbXP5psEH9b15+8VhxrNI6Jiho
6p/hWke+yU6uzLeLQH8a+m6JAWa9iWm+ODYus3dQojh2EgY+JYQw0jbBr1H1QtR4
bWf7O8BakthFcvbeh3gbWJGBhupD9RG/4nPRhScU718vjn4ElokU6rREG1TLDoOv
CqsXR9u1GqIMPKZyHttMmvK8EayBBgNHRE1Fxu+eKIj/96ahvwdzOaCiDDljgQq/
Ebj2NGOyXiBFCzRM3YWJFdJG60/LXUId21dNuB7tNoBx4oDBXs1BTBIygJwpnWsh
9+/tm9S9cGJwOHGXREpgNyw2DrNDsEJJtI1l6t4RY6eWYjfTdCzCy7tw/5KwjtIn
g2B0afdr5kwCLRHkxfSMQWEYsQRz5Ez7dVU0Zkgx/uOESm4b0zVdB4CZF8MnN/BP
ZXMW16skEGAtuBHzklZY
=pqD5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jun 2013 07:57:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:51:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.